<?php

declare(strict_types=1);

namespace ZondacryptoPay\Paymentpage\Gateway\Config;

use Magento\Framework\App\Config\ScopeConfigInterface;
use Magento\Payment\Gateway\Config\Config;
use ZondacryptoPay\Paymentpage\Model\ConfigProvider;

class GatewayConfig extends Config
{
    public function __construct(
        ScopeConfigInterface $scopeConfig,
        $pathPattern = self::DEFAULT_PATH_PATTERN
    ) {
        parent::__construct($scopeConfig, ConfigProvider::PP_CODE, $pathPattern);
    }
}
