define(
    [
        'jquery',
        'Magento_Checkout/js/view/payment/default',
        'Magento_Checkout/js/action/redirect-on-success',
    ],
    function ($, Component, redirectOnSuccessAction) {
        'use strict';

        return Component.extend({
            defaults: {
                template: 'ZondacryptoPay_Paymentpage/payment/zondacryptopay-paymentpage.html'
            },
            getData: function () {
                return {
                    "method": this.item.method,
                };
            },
            afterPlaceOrder: function () {
                redirectOnSuccessAction.redirectUrl = window.checkoutConfig.payment.zondacryptopay_paymentpage.redirectUrl;
            },
            getLogo: function () {
                return window.checkoutConfig.payment.zondacryptopay_paymentpage.logoUrl;
            },
        });
    }
);
